﻿Imports Docs.Excel
Imports Docs.Excel.Converting


Module Module1

    Sub Main()
        'Read excel file.
        Dim wbook As ExcelWorkbook = ExcelWorkbook.ReadXLSX("..\..\..\ExcelHtmlPictures.xlsx")
        Dim converter As ExcelToHtml = New ExcelToHtml(wbook)

        'Save picture in external file.
        converter.Worksheets(0).ShowPicture = PictureOptions.Internal
        converter.Worksheets(0).ShowGrid = True

        'Save specified worksheet to HTML file. 
        Dim html_file = "..\..\..\ExcelExporting.html"
        converter.Worksheets(0).SaveHTML(html_file)

        'Open specified file.
        System.Diagnostics.Process.Start(html_file)

    End Sub

End Module
