﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;
using Docs.Excel.Converting;

namespace ShowBorder
{
    class Program
    {
        static void Main(string[] args)
        {
            //Read excel file.
            ExcelWorkbook wbook = ExcelWorkbook.ReadXLSX(@"..\..\..\ExcelSample.xlsx");
            ExcelToHtml converter = new ExcelToHtml(wbook);

            //Display mesh grid.
            converter.Worksheets[0].ShowGrid = true;

            //Save specified worksheet to HTML file. 
            string html_file = @"..\..\..\ExcelToHtmlBorders.html";
            converter.Worksheets[0].SaveHTML(html_file);

            //Open specified file.
            System.Diagnostics.Process.Start(html_file);
        }
    }
}
